package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayButie;
import com.ruoyi.pay.domain.vo.PayButieVo;
import com.ruoyi.pay.domain.bo.PayButieBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 补贴扣减Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayButieService {

    /**
     * 查询补贴扣减
     */
    PayButieVo queryById(Long id);

    /**
     * 查询补贴扣减列表
     */
    TableDataInfo<PayButieVo> queryPageList(PayButieBo bo, PageQuery pageQuery);

    /**
     * 查询补贴扣减列表
     */
    List<PayButieVo> queryList(PayButieBo bo);

    /**
     * 新增补贴扣减
     */
    Boolean insertByBo(PayButieBo bo);

    /**
     * 修改补贴扣减
     */
    Boolean updateByBo(PayButieBo bo);

    /**
     * 校验并批量删除补贴扣减信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
